Subject: Re: [PATCH] af_packet: Don't use skb after dev_queue_xmit()

From: Michael Breuer <[email-masked]>
Date: Thu, 21 Jan 2010 14:48:57 -0500

On 1/19/2010 3:41 AM, Jarek Poplawski wrote:
> On Tue, Jan 19, 2010 at 12:46:24AM -0500, Michael Breuer wrote:
>    
>> So net-net, as far as my TX packet loss issue, sky2 is in the clear. If
>> something on the linux side should be informing the switch about
>> something then there may still be an issue. If the wifi router should be
>> doing something differently, then it's unfortunately likely a 2.4.37
>> kernel issue (That's what dd-wrt is using).
>>      
> IMHO until there is no proof from a sniffer or some regs dumps the
> switch and the router are more suspicious than your NIC or linux box.
> Then debugging these other things isn't so much interesting from my
> POV ;-)
>
> Anyway, if you only want to get it working (instead of debugging),
> it seems you might try moving the dhcp server to the router or maybe
> even using two separate servers with their pools - unless I missed
> something in your config.
>
> Jarek P.
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/
>    
Postscript: HP has confirmed that the 1400-8g switch doesn't work, 
"well," in a mixed 100Mb/1000Mb environment, and is dropping DHCP packets.